# Generated from spree-returnly-0.13.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree-returnly

Name: rubygem-%{gem_name}
Version: 0.13.1
Release: 1%{?dist}
Summary: Returnly integration with Spree
License: MIT
URL: https://github.com/returnly/solidus-returnly
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(awesome_print) >= 1.8
# BuildRequires: rubygem(awesome_print) < 2
# BuildRequires: rubygem(byebug) >= 10.0
# BuildRequires: rubygem(byebug) < 11
# BuildRequires: rubygem(byebug) >= 10.0.2
# BuildRequires: rubygem(capybara) = 2.15
# BuildRequires: rubygem(coffee-rails) >= 4.2
# BuildRequires: rubygem(coffee-rails) < 5
# BuildRequires: rubygem(coffee-rails) >= 4.2.2
# BuildRequires: rubygem(database_cleaner) >= 1.7
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(factory_girl) >= 4.8
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(ffaker) >= 2.9
# BuildRequires: rubygem(ffaker) < 3
# BuildRequires: rubygem(poltergeist) >= 1.18
# BuildRequires: rubygem(poltergeist) < 2
# BuildRequires: rubygem(poltergeist) >= 1.18.1
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rubocop) = 0.37.2
# BuildRequires: rubygem(rubocop-rspec) = 1.4.0
# BuildRequires: rubygem(sass-rails) >= 5.0
# BuildRequires: rubygem(sass-rails) < 6
# BuildRequires: rubygem(sass-rails) >= 5.0.7
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(sqlite3) >= 1.3.13
# BuildRequires: rubygem(versioncake) >= 3.4
# BuildRequires: rubygem(versioncake) < 4
# BuildRequires: rubygem(with_model) >= 2.0
# BuildRequires: rubygem(with_model) < 3
# BuildRequires: rubygem(yard) >= 0.9.13
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
Spree API extensions for returnly.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Sep 15 2021 mockbuilder - 0.13.1-1
- Initial package
